Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515940 - Improve debuggability of Jenkins Kubernetes plugin
Summary: Improve debuggability of Jenkins Kubernetes plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.11.0
Assignee: Adam Kaplan
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 16:29 UTC by Jim Minter
Modified: 2019-03-29 06:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-11 18:43:37 UTC


Attachments (Terms of Use)

Description Jim Minter 2017-11-21 16:29:28 UTC
In a customer issue it was hard to diagnose that a child process in a Jenkins slave running on OpenShift was killed by the OOM killer.  The following items would have helped:

1) Jenkins Kubernetes plugin should cleanly terminate the slave agent when it's done, rather than delete its pod.  This would enable Reason: OOMKilled to be seen on the pod status, as well as giving a chance for a meaningful exit code to be set.

2) The Jenkins Kubernetes plugin should look for Reason: OOMKilled on the pod status after slave agent exits, and clearly log if it is seen.

3) It should be possible to disable automatic pod deletion for debugging purposes, allowing slave logs to be recovered and the pod status to be investigated.

Comment 2 Steve Speicher 2018-01-19 16:30:07 UTC
Added to list of cards to consider for 3.10, not committed.

Comment 3 Steve Speicher 2018-06-12 20:08:36 UTC
Proposed for 3.11, didn't make 3.10

Comment 6 Adam Kaplan 2019-02-11 18:43:37 UTC
Released in 3.11


Note You need to log in before you can comment on or make changes to this bug.